# TODO:
# - enable tests
# - package docs (mkdocs based)
#
# Conditional build:
%bcond_with	tests	# unit tests (needs more dependencies in PLD)

%define		module	isort
Summary:	Python 2 library to sort imports alphabetically
Summary(pl.UTF-8):	Narzędzie Pythona 2 do alfabetycznego sortowania listy importów
Name:		python3-%{module}
Version:	6.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/isort/
Source0:	https://files.pythonhosted.org/packages/source/i/isort/%{module}-%{version}.tar.gz
# Source0-md5:	b5365c66250ac30d368eed25c3920918
URL:		https://github.com/timothycrosley/isort
BuildRequires:	python3-build
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-colorama >= 0.4.6
BuildRequires:	python3-hypothesis >= 6.10.1
BuildRequires:	python3-hypothesmith >= 0.1.3
BuildRequires:	python3-libcst >= 0.3.18
BuildRequires:	python3-pytest >= 7.4.2
# verify if needed for tests
#BuildRequires:	python3-pip-api
#BuildRequires:	python3-pipreqs
#BuildRequires:	python3-requirementslib >= 1.5
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
isort is a Python utility / library to sort imports alphabetically,
and automatically separated into sections and by type. It provides a
command line utility, Python library and plugins for various editors
to quickly sort all your imports. It requires Python 3.9+ to run but
supports formatting Python 2 code too.

This package contains Python 3 library.

%description -l pl.UTF-8
isort to pythonowe narzędzie/biblioteka do alfabetycznego sortowania
importów i automatycznego dzielenia ich na sekcje i po rodzaju.
Udostępnia narzędzie wiersza poleceń, bibliotekę Pythona i wtyczki do
różnych edytorów, pozwalające szybko posortować importy. Wymaga do
działania Pythona 3.9+, ale obsługuje także formatowanie kodu Pythona
2.

Ten pakiet zawiera bibliotekę Pythona 3.

%package -n isort
Summary:	Python utility to sort imports alphabetically
Summary(pl.UTF-8):	Pythonowe narzędzie do alfabetycznego sortowania listy importów
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description -n isort
isort is a Python utility / library to sort imports alphabetically,
and automatically separated into sections and by type. It provides a
command line utility, Python library and plugins for various editors
to quickly sort all your imports. It requires Python 3.9+ to run but
supports formatting Python 2 code too.

This package contains command line utility.

%description -n isort -l pl.UTF-8
isort to pythonowe narzędzie/biblioteka do alfabetycznego sortowania
importów i automatycznego dzielenia ich na sekcje i po rodzaju.
Udostępnia narzędzie wiersza poleceń, bibliotekę Pythona i wtyczki do
różnych edytorów, pozwalające szybko posortować importy. Wymaga do
działania Pythona 3.9+, ale obsługuje także formatowanie kodu Pythona
2.

Ten pakiet zawiera narzędzie wiersza poleceń.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest test_isort.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/isort
%{py3_sitescriptdir}/isort-%{version}.dist-info

%files -n isort
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/isort
%attr(755,root,root) %{_bindir}/isort-identify-imports
%changelog
* Sat Jul 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-isort.git;a=log;h=master

* Thu Jul 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 0bada72
- python-isort.spec updated to 6.0.1 for python 3.9+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> db2f790
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 14e8667
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cac2724
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9ac1856
- Release 8 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9d4ae91
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 66167cb
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 4e728d1
- disable pytest plugins

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 6629155
- release 5 (by relup.sh)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 8f1d2b6
- release 4 (by relup.sh)

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> c8c2c00
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 97b0288
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 4525bd4
- updated to 4.3.21
- filled test dependencies (not all available in PLD)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bbf3ef
- release 2 (by relup.sh)

* Fri Nov 24 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 3a00653
- drop unnecessary py_comp

* Fri Nov 24 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> db818af
- new package

